Freeciv-3.2: packet_ruleset_action Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_action Struct Reference

`#include <packets_gen.h>`

## Data Fields

action_id | id
char | ui_name [MAX_LEN_NAME]
bool | quiet
enum action_result | result
bv_action_sub_results | sub_results
bool | actor_consuming_always
enum action_actor_kind | act_kind
enum action_target_kind | tgt_kind
enum action_sub_target_kind | sub_tgt_kind
int | min_distance
int | max_distance
bv_actions | blocked_by

## Detailed Description

Definition at line 1373 of file packets_gen.h.

## Field Documentation

## ◆ act_kind

enum action_actor_kind packet_ruleset_action::act_kind

Definition at line 1380 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().

## ◆ actor_consuming_always

bool packet_ruleset_action::actor_consuming_always

Definition at line 1379 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().

## ◆ blocked_by

bv_actions packet_ruleset_action::blocked_by

Definition at line 1385 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().

## ◆ id

action_id packet_ruleset_action::id

Definition at line 1374 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().

## ◆ max_distance

int packet_ruleset_action::max_distance

Definition at line 1384 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().

## ◆ min_distance

int packet_ruleset_action::min_distance

Definition at line 1383 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().

## ◆ quiet

bool packet_ruleset_action::quiet

Definition at line 1376 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().

## ◆ result

enum action_result packet_ruleset_action::result

Definition at line 1377 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().

## ◆ sub_results

bv_action_sub_results packet_ruleset_action::sub_results

Definition at line 1378 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().

## ◆ sub_tgt_kind

enum action_sub_target_kind packet_ruleset_action::sub_tgt_kind

Definition at line 1382 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().

## ◆ tgt_kind

enum action_target_kind packet_ruleset_action::tgt_kind

Definition at line 1381 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().

## ◆ ui_name

char packet_ruleset_action::ui_name[MAX_LEN_NAME]

Definition at line 1375 of file packets_gen.h.

Referenced by handle_ruleset_action(), send_packet_ruleset_action_100(), and send_ruleset_actions().